TikTok Shop

Look up to 200 creators by openId, oecId or username

POST/api/public/v1/tik_tok_shop/creators/lookup
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id lookupTikTokShopCreators

Request

curl

curl -X POST "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/creators/lookup" \
  -H "Authorization: Bearer gdc_..." \
  -H "Content-Type: application/json" \
  -d '{"refs":[{"oecId":"string","openId":"string","username":"Example name"}]}'

Parameters

NameInTypeNotes
organization_idqueryinteger

Request body

FieldTypeNotes
refsarray of objectrequired
refs[].[].oecIdstring
refs[].[].openIdstring
refs[].[].usernamestring

Example

{
  "refs": [
    {
      "oecId": "string",
      "openId": "string",
      "username": "Example name"
    }
  ]
}

Responses

200Success

FieldTypeNotes
countsobjectrequired
counts.foundinteger
counts.requestedinteger
notestringrequired
resultsarray of objectrequired
results[].[].ambiguousbooleanrequired
results[].[].creatorobject, nullablerequired
results[].[].creator.avatarUrlstring, nullable
results[].[].creator.factsobject, nullable
results[].[].creator.facts.categoriesarray of string
results[].[].creator.facts.contentCountnumber, nullable
results[].[].creator.facts.enrichedAtstring (date-time), nullable
results[].[].creator.facts.followerCountnumber, nullable
results[].[].creator.facts.fulfillmentRatenumber, nullable
results[].[].creator.facts.gmv30dAmountstring, nullable
results[].[].creator.facts.gmv30dCurrencystring, nullable
results[].[].creator.facts.medianVideoViewsnumber, nullable
results[].[].creator.facts.ppsstring, nullable
results[].[].creator.facts.unitsSoldnumber, nullable
results[].[].creator.firstSeenAtstring (date-time), nullable
results[].[].creator.lastSeenAtstring (date-time), nullable
results[].[].creator.nicknamestring, nullable
results[].[].creator.oecIdstring, nullable
results[].[].creator.openIdstring
results[].[].creator.previousUsernamesarray of string
results[].[].creator.secUidstring, nullable
results[].[].creator.usernamestring, nullable
results[].[].foundbooleanrequired
results[].[].matchedBystring, nullablerequiredOne of openIdoecIdusernamepreviousUsernamenull
results[].[].refobjectrequired
results[].[].sourcestring, nullablerequiredOne of identity_spineshop_cachenull

Example

{
  "counts": {
    "found": 3,
    "requested": 3
  },
  "note": "string",
  "results": [
    {
      "ambiguous": true,
      "creator": {
        "avatarUrl": "https://example.com/p/1",
        "facts": {
          "categories": [
            null
          ],
          "contentCount": 125.5,
          "enrichedAt": "2026-11-01T15:04:05Z",
          "followerCount": 125.5,
          "fulfillmentRate": 0.15,
          "gmv30dAmount": "string",
          "gmv30dCurrency": "string",
          "medianVideoViews": 125.5,
          "pps": "string",
          "unitsSold": 125.5
        },
        "firstSeenAt": "2026-11-01T15:04:05Z",
        "lastSeenAt": "2026-11-01T15:04:05Z",
        "nickname": "Example name",
        "oecId": "string",
        "openId": "string",
        "previousUsernames": [
          "Example name"
        ],
        "secUid": "string",
        "username": "Example name"
      },
      "found": true,
      "matchedBy": "openId",
      "ref": {},
      "source": "identity_spine"
    }
  ]
}

Errors: 400401403404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.